.TH "G4_FRAMEDATA" "3" "1" "Polhemus" "Polhemus G4Track Library"
.SH "NAME"
G4_FRAMEDATA \- Position and Orientation Frame Data
.SH "SYNOPSIS"
#include "G4TrackIncl.h"
.br 


typedef struct _G4_FRAMEDATA {
.br 		
	uint32_t \fIhub\fR;
.br 
	uint32_t \fIframe\fR;
.br 
	uint32_t \fIstationMap\fR;
.br 
	uint32_t \fIdig_io\fR;
.br 
	G4_SENFRAMEDATA \fIsfd\fR[G4_SENSORS_PER_HUB];
.br 
}*LPG4_FRAMEDATA,G4_FRAMEDATA;
.SH "DESCRIPTION"
This structure is used in the \fBg4_get_frame_data\fR() function to retrieve the tracker data from the most recent frame.  It contains an array of \fBG4_SENFRAMEDATA\fR structures, one for each sensor on the hub.  One \fBG4_SENFRAMEDATA\fR structure is created to retrieve the information for one hub and its sensors.  An application must create an array of \fBG4_SENFRAMEDATA\fR structures, one for each hub for which it is requesting data, and pass this array into the \fBg4_get_frame_data\fR() function.
.SH "STRUCTURE MEMBERS"
\fIhub\fR:  This is the hub id as reported by the system.
.br 

\fIframe\fR:  This is the frame number to which the position and orientation data corresponds.
.br 

\fIstationMap\fR:  This is a bit\-map to indicate which sensors are active on the hub.  Sensor 0 corresponds to bit 0, sensor 1 to bit 1, and sensor 2 to bit 2.  If the bit is set to 1 then the sensor is present and active, otherwise the bit will be set to 0.
.br 

\fIdig_io\fR:  This is an eight\-bit bit map that corresponds to the digital I/O ports on the hub.  These ports are for user\-specific applications.
\fI\fR

\fIsfd\fR:  An array of \fBG4_SENFRAMEDATA\fR that will hold the position and orientation data for each sensor on the hub.  See description of \fBG4_ SENFRAMEDATA\fR.
.SH "AUTHOR"
James C. Farr <jimfarr@polhemus.com>
.SH "SEE ALSO"
\fBg4_init_sys\fR(3), \fBg4_set_query\fR(3), \fBg4_get_frame_data\fR(3), \fBg4_close_tracker\fR(3), \fBG4Track\fR(3), \fBG4_SENFRAMEDATA\fR(3), \fBG4_CMD_DATA_STRUCT\fR(3), \fBG4_CMD_STRUCT\fR(3), \fBG4_SRC_MAP\fR(3), \fBG4_CMD_BLOCK_STRUCT\fR(3)
